Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

I'm having a problem every time I try and open any project in qgis 1.9. It will load part of a few layers and then a yellow bar comes up across the top of the map area that says "Handle Bad layers: 23 of 23 bad layers were not not fixable."

(I was going to post a screenshot but apparently I don't have enough "reputation" to do so.)

It doesn't tell you any thing about what's wrong with any of these layers or allow you to do anything other than close the warning!

Does any one have any ideas? Please help!!!

***Sorry about that, this is from a project that I made. I'm using pgAdmin III and the layers are postGIS and it was working fine yesterday when I shut my machine down. I have the log message if that would help?


When you bring up the log messages, there are four tabs: General, Plugins, Python and PostGIS. This log was under the Python tab.

warning:/usr/lib/python2.7/dist-packages/osgeo/gdal.py:81: DeprecationWarning: gdal.py was placed in a namespace, it is now available as osgeo.gdal
  DeprecationWarning)

traceback:  File "", line 1, in 
  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 212, in startPlugin
    plugins[packageName].initGui()
  File "/usr/share/qgis/python/plugins/plugin_installer/installer_plugin.py", line 69, in initGui
    plugins.getAllInstalled()
  File "/usr/share/qgis/python/plugins/plugin_installer/installer_data.py", line 634, in getAllInstalled
    plugin = self.getInstalledPlugin(key, False, testLoad)
  File "/usr/share/qgis/python/plugins/plugin_installer/installer_data.py", line 531, in getInstalledPlugin
    exec("import %s" % key)
  File "", line 1, in 
  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 452, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/home/localadmin/.qgis2/python/plugins/image_cutter/__init__.py", line 26, in 
    from image_cutter import Image_Cutter
  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 452, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/home/localadmin/.qgis2/python/plugins/image_cutter/image_cutter.py", line 33, in 
    from dlgImageCutter import ImageCutterDlg
  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 452, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/home/localadmin/.qgis2/python/plugins/image_cutter/dlgImageCutter.py", line 30, in 
    import gdal
  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 452, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/lib/python2.7/dist-packages/gdal.py", line 3, in 
    deprecation_warn('gdal')


Under the PostGIS tab it just says: invalid PostgreSQL layer


I tried manually re-adding the layers that didn't load earlier today and it gave this under the PostGIS tab:

Erroneous query: SELECT styleQML FROM layer_styles WHERE f_table_catalog='howell' AND f_table_schema='original' AND f_table_name='oh_secondary' AND f_geometry_column='the_geom' ORDER BY CASE WHEN useAsDefault THEN 1 ELSE 2 END,update_time DESC LIMIT 1 returned 7 [ERROR: relation "layer_styles" does not exist LINE 1: SELECT styleQML FROM layer_styles WHERE f_table_catalog='how...

I have no idea what styleQML is...or layer_styles for that matter. lol.

share|improve this question
1  
What kind of layers? Files? DB? –  underdark May 16 '13 at 18:26
    
Welcome to gis.SE. It might help if you can provide some more background - where did you get the project? Is it something you created and now can't load, or something from another user? Please remember we don't know what you've already tried, and what worked / didn't work, so please include that information too. You can just click "edit" below your question to update it. –  BradHards May 16 '13 at 19:15
    
Yes, please include the logs if you got any. –  underdark May 16 '13 at 20:41
    
Can you add the same tables in a new project file? So far I haven't seen any indication of what could cause the problem. –  underdark May 16 '13 at 21:02
    
I tried manually re-adding the layers that didn't load earlier today and it gave this under the PostGIS tab: Erroneous query: SELECT styleQML FROM layer_styles WHERE f_table_catalog='howell' AND f_table_schema='original' AND f_table_name='oh_secondary' AND f_geometry_column='the_geom' ORDER BY CASE WHEN useAsDefault THEN 1 ELSE 2 END,update_time DESC LIMIT 1 returned 7 [ERROR: relation "layer_styles" does not exist LINE 1: SELECT styleQML FROM layer_styles WHERE f_table_catalog='how... I have no idea what styleQML is...or layer_styles for that matter. lol. –  Jeff Cameron May 16 '13 at 21:04

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.